OpenMW 0.27.0

Anything related to PR, release planning and any other non-technical idea how to move the project forward should be discussed here.
User avatar
psi29a
Posts: 3898
Joined: 29 Sep 2011, 10:13
Github profile: https://github.com/psi29a/
Contact:

Re: OpenMW 0.27.0

Post by psi29a » 27 Dec 2013, 10:07

Congratulations everyone, we're now in Debian!

http://packages.debian.org/experimental/games/openmw

We're now in experimental contrib which gives us plenty of wiggle room now until we are ready in the neighborhood of 1.0. Once we have our own example-suite, we can ask to move into main (from contrib). We can now do regular updates (in-sync) with our release cycle.

Cheers!

User avatar
raevol
Posts: 2666
Joined: 07 Aug 2011, 01:12
Location: Caldera

Re: OpenMW 0.27.0

Post by raevol » 27 Dec 2013, 19:46

Awesome! Congrats!!

User avatar
ap0
Posts: 257
Joined: 11 Aug 2011, 18:47
Location: France
Contact:

Re: OpenMW 0.27.0

Post by ap0 » 28 Dec 2013, 14:11

Nice!

User avatar
psi29a
Posts: 3898
Joined: 29 Sep 2011, 10:13
Github profile: https://github.com/psi29a/
Contact:

Re: OpenMW 0.27.0

Post by psi29a » 31 Dec 2013, 13:55

Someone said that 0.27.0 was OK with ogre-1.9 but as it turns out... so I tried it.
https://launchpadlibrarian.net/16129989 ... ILD.txt.gz

It works with ogre-1.8 but now with ogre-1.9 it fails to build.

I tried master (latest) using the same ogre-1.9 libs and it compiles just fine.

Should we just not bother? (This makes timing everything for next release, also for Debian).

User avatar
scrawl
Posts: 2152
Joined: 18 Feb 2012, 11:51
Contact:

Re: OpenMW 0.27.0

Post by scrawl » 31 Dec 2013, 16:01

That error is already fixed in the 0.27 tag. And it has nothing to do with ogre 1.9, btw.
Where is it getting the OpenMW sources from? If the sources were uploaded to debian then the version needs to be bumped.

User avatar
psi29a
Posts: 3898
Joined: 29 Sep 2011, 10:13
Github profile: https://github.com/psi29a/
Contact:

Re: OpenMW 0.27.0

Post by psi29a » 31 Dec 2013, 17:06

scrawl wrote:That error is already fixed in the 0.27 tag. And it has nothing to do with ogre 1.9, btw.
Where is it getting the OpenMW sources from? If the sources were uploaded to debian then the version needs to be bumped.
That's right... I vaguely remember that. I'll make a 0.27.1 release soon and also see that Debian's update moves to 1.9 asap. Thanks scrawl.

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests